Transaction Search
Using the Transaction Search API, you can search for transactions that meet specific criteria. A transaction search is created by sending a POST request containing the search definition, including the search name, time zone, query parameters, sort order, and pagination settings. The response includes a unique search ID that can be used to retrieve the saved search later.
Send a POST Request
Send a POST request and include these required fields:
querysort
POST /tss/v2/searches
POST /tss/v2/searches
POST /tss/v2/searches
Include Optional Fields
These optional fields are also supported:
savenametimezoneoffset
For a list of supported time zones, see Supported Time Zones.
Filter Transactions
Set the query field to filter which transactions are returned. Use one of these approaches:
Use query syntax
Supported operators are AND and OR.
Use the format field:value AND field2:value.
Field hierarchy uses the dotted format object.field or object.field.subfield.
Choose query parameters
These fields are supported as query parameters:
applicationInformation.applications.name
The name of the application or services that processed the transaction.
Example: applicationInformation.applications.name:ics_auth
applicationInformation.applications.reconciliationId
Transaction reference number, returned by the original transaction response. Also supported as reconciliationId.
Examples:
applicationInformation.applications.reconciliationId:H74U3AD377ER921reconciliationId:H74U3AD377ER921
buyerInformation.merchantCustomerId
Your identifier for the customer.
Example: buyerInformation.merchantCustomerId:0535439670
clientReferenceInformation.code
Client-generated order reference or tracking number. We recommend that you send a unique value for each transaction so that you can perform meaningful searches for the transaction.
Example: clientReferenceInformation.code:12345
clientReferenceInformation.partner.solutionId
Identifier for the partner that is integrated to .
Example: clientReferenceInformation.partner.solutionId:89012345
deviceInformation.ipAddress
IP address of the customer's device.
Example: deviceInformation.ipAddress:23.45.35.29
id
A unique identification number generated by to identify the submitted request.
Example: id:6590834057836283403955
installmentInformation.identifier
Identifier for an installment payment transaction.
Example: installmentInformation.identifier:1000000000
merchantId
Example: merchantId:merchant10
merchantInformation.accountId
Query transactions for one of your merchant accounts.
Example: merchantInformation.accountId:cybs_acct
merchantInformation.resellerId
Only for reseller. Query transactions for all merchants under the reseller portfolio.
Example: merchantInformation.resellerId:1234
orderInformation.amountDetails.currency
ISO Standard Currency Codes. See ISO Standard Currency Codes for more information.
Example: orderInformation.amountDetails.currency:[USD]
orderInformation.amountDetails.totalAmount
Grand total for the order.
Example: orderInformation.amountDetails.totalAmount:100.00
orderInformation.billTo.email
Customer's email address.
Example: orderInformation.billTo.email:[email protected]
orderInformation.billTo.firstName
Customer's first name. This name must be the same as the name on the card.
Example: orderInformation.billTo.firstName:John
orderInformation.billTo.lastName
Customer's last name. This name must be the same as the name on the card.
Example: orderInformation.billTo.lastName:Doe
orderInformation.billTo.phoneNumber
Phone number associated with the customer's billing address.
Example: orderInformation.billTo.phoneNumber:8394552567
orderInformation.shipTo.phoneNumber
Phone number associated with the customer's shipping address.
Example: orderInformation.shipTo.phoneNumber:8394552567
paymentInformation.bank.account.number
Full bank account number.
Example: paymentInformation.bank.account.number:1234567890
paymentInformation.bank.account.prefix
The initial six numbers of a bank account number.
Example: paymentInformation.bank.account.prefix:1234
paymentInformation.bank.account.suffix
Last four digits of the customer's bank account number.
Example: paymentInformation.bank.account.suffix:4321
paymentInformation.card.number
Full payment account number.
Example: paymentInformation.card.number:4111111111111111
paymentInformation.card.prefix
Initial six numbers on a payment account number.
Example: paymentInformation.card.prefix:4111
paymentInformation.card.suffix
Last four digits of the customer's card number.
Example: paymentInformation.card.suffix:1111
paymentInformation.customer.customerId
Unique identifier for the customer's card and billing information.
Example: paymentInformation.customer.customerId:548323
paymentInformation.paymentType.method
Indicates the payment method used in this payment transaction. See By Payment Type for more information.
Example: paymentInformation.paymentType.method:MC
paymentInformation.paymentType.type
Indicates the payment type used in this payment transaction. For example: credit card or check. See By Payment Type for more information.
Example: paymentInformation.paymentType.type:credit card
processingInformation.commerceIndicator
Type of transaction. Some payment card companies use this information when determining discount rates.
Example: processingInformation.commerceIndicator:123abc
processorInformation.approvalCode
Authorization code returned by the processor.
Example: processorInformation.approvalCode:1234
processorInformation.retrievalReferenceNumber
Unique number that generates to identify the transaction.
Example: processorInformation.retrievalReferenceNumber:122908889379
submitTimeUtc
The date and time a transaction was submitted, or a range of times. Use date math expressions to specify relative date ranges. See the next step for syntax details.
Example: submitTimeUtc:[2024-05-11T03:21:03Z]
Filter by submission date
Use the submitTimeUtc field with date math expressions to filter by dates and times relative to a fixed moment. The current time is represented by NOW.
You can also use UNIX Epoch Time for the start and end time. For example, submitTimeUtc:[1556712000000 TO 1556757600000].
Date Math Syntax: Date math expressions consist of adding some quantity of time in a specified unit, or rounding the current time by a specified unit. Expressions can be joined and are evaluated left to right.
A slash (/) indicates rounding. NOW/HOUR represents the beginning of the current hour. If the current time is 4:12 p.m. (NOW), then NOW/HOUR would be the start of that hour, 4:00 p.m. Valid values in date math are:
DAYorDAYSMONTHorMONTHSMINUTEorMINUTES
Date Math Range: Date math supports date range searches. The syntax is [startDate TO endDate}.
A square bracket ([) indicates that the date is included in the range; a curly bracket (}) indicates that the date is excluded.
For example, to search transactions from the previous day, and the current date is May 3, 2024, [NOW/DAY-1DAY TO NOW/DAY} would search for transactions with a date between May 2, 2019, 12:00 AM to May 2, 2019, 11:59 PM.
Common date ranges:
- Last hour:
[NOW/HOUR-1HOUR TO NOW/HOUR} - Today:
[NOW/DAY TO NOW/DAY+1DAY} - Yesterday:
[NOW/DAY-1DAY TO NOW/DAY} - Past 7 days:
[NOW/DAY-7DAYS TO NOW/DAY+1DAY} - Month-to-Date:
[NOW/MONTH TO NOW/DAY+1DAY} - Past month:
[NOW/MONTH-1MONTH TO NOW/MONTH} - Past 6 months:
[NOW/DAY-6MONTHS TO NOW/DAY+1DAY} - Past 12 months:
[NOW/DAY-12MONTHS TO NOW/DAY+1DAY] - Past 13 months:
[NOW/DAY-13MONTHS TO NOW/DAY+1DAY]
Build your query
These examples show several ways of using keywords in the query parameter:
| Type of Search | Example |
|---|---|
| Two filters, using AND. | "query":"clientReferenceInformation.code:1111 AND submitTimeUtc:[NOW/DAY-1DAYS TO NOW/DAY+1DAY}" |
| Three values for one filter, using OR. | "query":"clientReferenceInformation.code:(1111 OR 2222 OR 3333)" |
| Multiple filters and values, using both AND and OR. | "query":"clientReferenceInformation.code:(1111 OR 2222 OR 3333) AND submitTimeUtc:[NOW/DAY-1DAYS TO NOW/DAY+1DAY}" |
Set the payment type fields
Set paymentInformation.paymentType.type to one of the supported values. Set paymentInformation.paymentType.method to filter by a specific payment method within that type.
Choose a payment type value
These are the supported values for paymentInformation.paymentType.type and the corresponding paymentInformation.paymentType.method values:
bank transfer
Bank transfer
mch: Bancontactrbt: Bank Transferbr: Brazil Bank Transferblf: Belfiusco: China Cash on Orderct: China Bank Transfercw: China eWalleteps: EPSvks: Finland Bank Transfergpy: Giropayion: Interac Onlineidl: iDealwpb: PayByBankkbc: KBCpzw: Przelewy24sof: Sofortdbb: Sweden Bank Transfer
cash payments
Cash payment
oxo: Oxxomlb: Multibanco
check
Check
c: Checkingx: Corporate Checkingu: Checking without Account Numbers: Savings
credit card
Credit card
ax: American Expressar: Aura Cardbb: Bebebl: Bill Me Latercn: Carnetcs: Carta Sicb: Carte Blanchecl: Cartes Bancairescc: Casual Cornercp: China UnionPay (CUP)dk: Dankortdo: Delta Onlinedc: Diners Clubdi: Discoverds: Dick's Sportsweardn: Disneyed: eDiscreetel: ELO Carden: Encoded Accounter: EnRoutefb: Falabellagm: GE Capital Money UKep: Eftpostc: GE TwinPay Credittd: GE TwinPay Debithc: Hipercardhd: Home Depot Consumerhr: Householdja: JALjc: JCBjw: Jcrewkr: Korean Cardsla: Laserlw: Lowe's Consumermb: MBNAmc: Mastercardmg: MagnaCashmo: Maestromr: Meijermd: Madanc: Nicosor: Orico Cardrc: Redecarddp: Pinless Debitrp: RuPayrh: Restoration Hardwaresb: Sam's Club Businesssc: Sam's Club Consumersr: Searsst: Style Cardsua: UATPunk: Unknown Cardve: Visa Electronvi: Visawm: Walmart
direct debit
Direct debit
dd: Direct Debitsdd: Adyen SEPA Direct Debit
ewallet
eWallet
abr: Alipay Barcodeadm: Alipay Domestic (mobile)apd: Alipay Domesticapy: Alipay Internationalaym: Alipay International (mobile)aqr: Alipay QR Codeacc: Alipay Credit Cardctp: Common Transaction Processingrbt: Bank transfermbp: Mobile Billingvme: V.me
gift card
Gift card
vl: ValueLink
invoice payments
Invoice payments
kli: Klarnaafm: Affirm
paypal
PayPal
paypal: PayPal
switch card
Switch card
so: Solosw: Switch
Example
{ "save": true, "name": "Search by Code", "timezone": "America/Denver", "query": "clientReferenceInformation.code:123456", "offset": "0", "limit": "100", "sort": "submitTimeUtc:desc"}Retrieve a Saved Transaction Search
To retrieve a saved transaction search, your client application must send an HTTPS GET request to the server using this URL format:
GET https://<url_prefix>/tss/v2/searches/{searchID}
The URL includes these parameters:
| Value | Description |
|---|---|
<url_prefix> | Name of the server from which to download the report. Use one of these values: Production: api.cybersource.com ; Production in India: ; Test: api.in.cybersource.com apitest.cybersource.com |
searchID | The ID returned in the search request response. |
Responses
This call can return one of these HTTP status codes:
200: successful response.404: the specified resource is not found in the system.500: unexpected server error.
Thanks for your feedback!
Last published: September 29, 2026